Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class SoftClassMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.SoftClassMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

public class SoftClassMatcher
extends MatcherHelper

Comment

Version:
  $Revision: 1.19 $
Author:
  Bill Burke

Field Summary
`protected Advisor` | `advisor`
`protected String` | `classname`
`protected Class` | `clazz`
`protected boolean` | `match`

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`SoftClassMatcher(Advisor advisor, String classname, ASTStart start)`

Method Summary
`Boolean` | `matches(ClassExpression expr)`
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTAll node, Object data)`
`Object` | `visit(ASTAllParameter node, Object data)`
`Object` | `visit(ASTAndCFlow node, Object data)`
`Object` | `visit(ASTAttribute node, Object data)`
`Object` | `visit(ASTCall node, Object data)`
`Object` | `visit(ASTCFlowBoolean node, Object data)`
`Object` | `visit(ASTCFlowExpression node, Object data)`
`Object` | `visit(ASTCFlow node, Object data)`
`Object` | `visit(ASTCompositeCFlow node, Object data)`
`Object` | `visit(ASTConstruction node, Object data)`
`Object` | `visit(ASTConstructor node, Object data)`
`Object` | `visit(ASTExecution node, Object data)`
`Object` | `visit(ASTFieldExecution node, Object data)`
`Object` | `visit(ASTField node, Object data)`
`Object` | `visit(ASTGet node, Object data)`
`Object` | `visit(ASTHasField node, Object data)`
`Object` | `visit(ASTHas node, Object data)`
`Object` | `visit(ASTMethod node, Object data)`
`Object` | `visit(ASTNotCFlow node, Object data)`
`Object` | `visit(ASTOrCFlow node, Object data)`
`Object` | `visit(ASTParameter node, Object data)`
`Object` | `visit(ASTSet node, Object data)`
`Object` | `visit(ASTSubCFlow node, Object data)`
`Object` | `visit(ASTWithincode node, Object data)`
`Object` | `visit(ASTWithin node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### advisor

    protected Advisor advisor

### classname

    protected String classname

### match

    protected boolean match

### clazz

    protected Class clazz

Constructor Detail

### SoftClassMatcher

    public SoftClassMatcher(Advisor advisor,
                            String classname,
                            ASTStart start)

Method Detail

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Specified by:
    `resolvePointcut` in class `MatcherHelper`

### visit

    public Object visit(ASTCall node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTAll node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### matches

    public Boolean matches(ClassExpression expr)

### visit

    public Object visit(ASTWithin node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTWithincode node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTExecution node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTConstruction node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTGet node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTSet node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTFieldExecution node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTMethod node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTConstructor node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTField node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTHas node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTHasField node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTAttribute node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTParameter node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTAllParameter node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTCFlowExpression node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTCFlowBoolean node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTNotCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTCompositeCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTSubCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTAndCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTOrCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.